Subject: bug#20789: Invalid script or charset name: cuneiform-numbers-and-punctuation

From: Glenn Morris <[email-masked]>
Date: Wed, 17 Jun 2015 02:52:48 -0400

Eli Zaretskii wrote:

> Well, "signwriting" is not a word, AFAIK, it's 2 words [...]

It's a word (in the OED), but in the sense of painting commercial signs.
I don't really care, it's just that ~ 50% of the script is transforming
the Unicode names to the (seemingly randomly chosen) Emacs names.
If the latter were more straightforwardly derived from the former,
things would be simpler. But one more special rule makes no difference.

> P.S. Does the script work with mawk?

Yes, and with Sun OS 5.10's /usr/xpg4/bin/awk (but not /usr/bin/awk).
I don't believe it uses any more features than admin/charsets/*.awk.

Is there anything else in international/ that could benefit from being
auto-generated?